#ifndef STACK_
#define STACK_

struct stack
   {
   void ** data;
   size_t size;
   size_t max;
   };

struct stack * stack_new(size_t const max);
void stack_delete(struct stack * s);
void * stack_push(struct stack * s, void * elem);
void * stack_pop(struct stack * s);
size_t stack_size(struct stack * s);

#endif
